### Class

# Foundry VcsDiffHunk

#### Description

    abstract class Foundry.VcsDiffHunk : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- FoundryGitDiffHunk

#### Instance methods

###### foundry_vcs_diff_hunk_dup_header

The header for the hunk which is the part after the second “@@”.

since: 1.1

###### foundry_vcs_diff_hunk_get_new_lines

Gets the number of lines in the new file for this hunk.

since: 1.1

###### foundry_vcs_diff_hunk_get_new_start

Gets the starting line number in the new file for this hunk.

since: 1.1

###### foundry_vcs_diff_hunk_get_old_lines

Gets the number of lines in the old file for this hunk.

since: 1.1

###### foundry_vcs_diff_hunk_get_old_start

Gets the starting line number in the old file for this hunk.

since: 1.1

###### foundry_vcs_diff_hunk_list_lines

List the lines within a hunk.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.VcsDiffHunk:header

No description available.

###### Foundry.VcsDiffHunk:new-lines

No description available.

###### Foundry.VcsDiffHunk:new-start

No description available.

###### Foundry.VcsDiffHunk:old-lines

No description available.

###### Foundry.VcsDiffHunk:old-start

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryVcsDiffHunkClass {
      GObjectClass parent_class;
      DexFuture* (* list_lines) (
        FoundryVcsDiffHunk* self
      );
      char* (* dup_header) (
        FoundryVcsDiffHunk* self
      );
      guint (* get_old_start) (
        FoundryVcsDiffHunk* self
      );
      guint (* get_old_lines) (
        FoundryVcsDiffHunk* self
      );
      guint (* get_new_start) (
        FoundryVcsDiffHunk* self
      );
      guint (* get_new_lines) (
        FoundryVcsDiffHunk* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`list_lines: DexFuture* (* list_lines) ( FoundryVcsDiffHunk* self )`

  No description available.

`dup_header: char* (* dup_header) ( FoundryVcsDiffHunk* self )`

  No description available.

`get_old_start: guint (* get_old_start) ( FoundryVcsDiffHunk* self )`

  No description available.

`get_old_lines: guint (* get_old_lines) ( FoundryVcsDiffHunk* self )`

  No description available.

`get_new_start: guint (* get_new_start) ( FoundryVcsDiffHunk* self )`

  No description available.

`get_new_lines: guint (* get_new_lines) ( FoundryVcsDiffHunk* self )`

  No description available.

#### Virtual methods

###### Foundry.VcsDiffHunkClass.dup_header

The header for the hunk which is the part after the second “@@”.

since: 1.1

###### Foundry.VcsDiffHunkClass.get_new_lines

Gets the number of lines in the new file for this hunk.

since: 1.1

###### Foundry.VcsDiffHunkClass.get_new_start

Gets the starting line number in the new file for this hunk.

since: 1.1

###### Foundry.VcsDiffHunkClass.get_old_lines

Gets the number of lines in the old file for this hunk.

since: 1.1

###### Foundry.VcsDiffHunkClass.get_old_start

Gets the starting line number in the old file for this hunk.

since: 1.1

###### Foundry.VcsDiffHunkClass.list_lines

List the lines within a hunk.